Covendocs
API ReferenceSessionsKill a live session POST

Kill a live session

Kill a live session and transition it to the killed terminal state.

1 min read

POST
/sessions/{id}/kill

Path Parameters

id*string

The session id (stable across daemon restarts).

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/sessions/session-1/kill"
{
  "ok": true,
  "accepted": true
}
{
  "error": {
    "code": "session_not_found",
    "message": "Session was not found.",
    "details": {
      "sessionId": "session-1"
    }
  }
}
{
  "error": {
    "code": "session_not_live",
    "message": "Session is not live.",
    "details": {
      "sessionId": "session-1",
      "status": "completed"
    }
  }
}
{
  "error": {
    "code": "internal_error",
    "message": "Unexpected internal daemon error.",
    "details": {}
  }
}
Was this page helpful?No